| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- ~

Here is a list of all class members with links to the classes they belong to:

### - c -

- cacheGrammar() : XMLGrammarPool
- cacheGrammarFromParse() : SAXParser , XercesDOMParser
- calcRequiredSize() : XMLLCPTranscoder
- canSetFeature() : DOMBuilder , DOMWriter
- canSetParameter() : DOMConfiguration
- canTranscodeTo() : XMLTranscoder
- castTo() : XMLHolder< Type >
- catString() : XMLString
- CData : XMLAttDef
- CDATA_SECTION_NODE : DOMNode
- CDATAOutsideOfContent : XMLErrs
- CentYear : XMLDateTime
- characters() : DocumentHandler , HandlerBase , ContentHandler , DefaultHandler
- CharDataOpts : XMLElementDecl
- CharEscapes : XMLFormatter
- checkBlockSize() : XMLTranscoder
- checkBoundary() : XMLAbstractDoubleFloat , XMLDouble , XMLFloat
- checkContent() : XMLValidator
- checkEntity() : ValidationContext
- checkRootElement() : XMLValidator
- checkUniqueParticleAttribution() : XMLContentModel
- CircularSubsGroup : XMLErrs
- cleanUp() : QName
- clear() : XMLGrammarPool
- clearIdRefList() : ValidationContext
- ClearNode() : StDOMNode< T >
- cloneContents() : DOMRange
- cloneNode() : DOMNode
- cloneRange() : DOMRange
- closeFile() : XMLPlatformUtils
- closeMutex() : XMLPlatformUtils
- code : DOMException , DOMRangeException , DOMXPathException
- Codes : XMLErrs , XMLValid , XMLTransService , XMLDOMMsg
- collapse() : DOMRange
- collapseWS() : XMLString
- ColonNotLegalWithNS : XMLErrs
- ColonNotValidWithNS : XMLValid
- comment() : DefaultHandler , LexicalHandler
- COMMENT_NODE : DOMNode
- CommentsMustStartWith : XMLErrs
- compare() : XMLDateTime
- compareAndSwap() : XMLPlatformUtils
- compareBoundaryPoints() : DOMRange
- CompareHow : DOMRange
- compareIString() : XMLTransService , XMLString
- compareIStringASCII() : XMLString
- compareNIString() : XMLTransService , XMLString
- compareNString() : XMLString
- compareOrder() : XMLDateTime
- compareString() : XMLString
- compareTreePosition() : DOMNode
- compareValues() : XMLAbstractDoubleFloat , XMLBigDecimal , XMLBigInteger , XMLDouble , XMLFloat
- COMPLEX_TYPE : XSTypeDefinition
- COMPONENT_TYPE : XSConstants
- COMPOSITOR_ALL : XSModelGroup
- COMPOSITOR_CHOICE : XSModelGroup
- COMPOSITOR_SEQUENCE : XSModelGroup
- COMPOSITOR_TYPE : XSModelGroup
- ConditionalSectInIntSubset : XMLErrs
- Conf_RFC2045 : Base64
- Conf_Schema : Base64
- Conformance : Base64
- containsWhiteSpace() : XMLChar1_1 , XMLChar1_0
- CONTENT_TYPE : XSComplexTypeDefinition
- ContentError : XMLErrs
- ContentHandler() : ContentHandler
- CONTENTTYPE_ELEMENT : XSComplexTypeDefinition
- CONTENTTYPE_EMPTY : XSComplexTypeDefinition
- CONTENTTYPE_MIXED : XSComplexTypeDefinition
- CONTENTTYPE_SIMPLE : XSComplexTypeDefinition
- CONTEXT_ATTRIBUTE : XMLSchemaDescription
- CONTEXT_ELEMENT : XMLSchemaDescription
- CONTEXT_IMPORT : XMLSchemaDescription
- CONTEXT_INCLUDE : XMLSchemaDescription
- CONTEXT_INSTANCE : XMLSchemaDescription
- CONTEXT_PREPARSE : XMLSchemaDescription
- CONTEXT_REDEFINE : XMLSchemaDescription
- CONTEXT_UNKNOWN : XMLSchemaDescription
- CONTEXT_XSITYPE : XMLSchemaDescription
- ContextType : XMLSchemaDescription
- ContradictoryEncoding : XMLErrs
- convert() : XMLAbstractDoubleFloat
- copyNString() : XMLString
- copyString() : XMLString
- countTokens() : XMLStringTokenizer
- createAttribute() : DOMDocument
- createAttributeNS() : DOMDocument
- createCDATASection() : DOMDocument
- createComment() : DOMDocument
- createDocument() : DOMImplementation
- createDocumentFragment() : DOMDocument
- createDocumentType() : DOMDocument , DOMImplementation
- createDOMBuilder() : DOMImplementationLS
- createDOMInputSource() : DOMImplementationLS
- createDOMWriter() : DOMImplementationLS
- createDTDDescription() : XMLGrammarPool
- createDTDGrammar() : XMLGrammarPool
- createElement() : DOMDocument
- createElementNS() : DOMDocument
- createElementNSNode() : AbstractDOMParser
- createEntity() : DOMDocument
- createEntityReference() : DOMDocument
- createExpression() : DOMXPathEvaluator
- createNodeIterator() : DOMDocumentTraversal
- createNotation() : DOMDocument
- createNSResolver() : DOMXPathEvaluator
- createProcessingInstruction() : DOMDocument
- createRange() : DOMDocumentRange
- CreateReasons : XMLAttDef , XMLElementDecl
- createSchemaDescription() : XMLGrammarPool
- createSchemaGrammar() : XMLGrammarPool
- createTextNode() : DOMDocument
- createTreeWalker() : DOMDocumentTraversal
- createXMLReader() : XMLReaderFactory
- CT_SimpleTypeChildRequired : XMLErrs
- curFilePos() : XMLPlatformUtils
- curPos() : BinInputStream , BinOutputStream , BinFileInputStream , BinMemInputStream
- cut() : XMLString

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.